package aspectEditor.aspectEditorUtils;
import java.util.jar.JarFile;
import java.util.*;
import java.io.*;
import edu.neu.ccs.demeter.aplib.*;
import edu.neu.ccs.demeter.*;
class __V_GlobSpec_match {
  protected Object v;
  public Object get_v() { return v; }
  public void set_v(Object new_v) { v = new_v; }
  protected NameMapI N;
  public NameMapI get_N() { return N; }
  public void set_N(NameMapI new_N) { N = new_N; }
  protected boolean return_val;
  public boolean get_return_val() { return return_val; }
  public void set_return_val(boolean new_return_val) { return_val = new_return_val; }
  public __V_GlobSpec_match() { super(); }
  public __V_GlobSpec_match(Object v, NameMapI N, boolean return_val) {
    super();
    set_v(v);
    set_N(N);
    set_return_val(return_val);
  }
  public void before(ClassName host) {
      if (!return_val) return_val = host.match(v, N);
    }
  public void before(AnyClass host) {
      return_val = true;
    }
  public void start() {}
  public void finish() {}
  void universal_trv0_bef(UniversalVisitor _v_) {  }

  void universal_trv0_aft(UniversalVisitor _v_) {  }

  void universal_trv0(UniversalVisitor _v_) {
    universal_trv0_bef(_v_);
    universal_trv0_aft(_v_);
  }

}
